Debian Bug report logs - #556597
cclive: Linked with OpenSSL, seems to be a GPL violation

version graph

Package: cclive; Maintainer for cclive is Alejandro Garrido Mota <alejandro@debian.org>; Source for cclive is src:cclive.

Reported by: Adrian Bunk <bunk@stusta.de>

Date: Tue, 17 Nov 2009 01:36:02 UTC

Severity: serious

Tags: patch

Found in version cclive/0.5.3-1

Fixed in version cclive/0.5.5-1

Done: Alejandro Garrido Mota <garridomota@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alejandro Garrido Mota <garridomota@gmail.com>:
Bug#556597; Package cclive. (Tue, 17 Nov 2009 01:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
New Bug report received and forwarded. Copy sent to Alejandro Garrido Mota <garridomota@gmail.com>. (Tue, 17 Nov 2009 01:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cclive: Linked with OpenSSL, seems to be a GPL violation
Date: Tue, 17 Nov 2009 03:40:10 +0200
Package: cclive
Version: 0.5.3-1
Severity: serious

$ ldd /usr/bin/cclive | grep ssl
        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0x00007f0e85165000)
$ 


/usr/share/doc/cclive/copyright says:

<--  snip  -->

....
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
....

<--  snip  -->


See also question 28 at
  http://people.debian.org/~bap/dfsg-faq


It might be enough to change the libcurl build dependency
to libcurl4-gnutls-dev.



-- System Information:
....
Versions of packages cclive depends on:
....
ii  libcurl3                      7.19.7-1   Multi-protocol file transfer libra
....




Information forwarded to debian-bugs-dist@lists.debian.org, Alejandro Garrido Mota <garridomota@gmail.com>:
Bug#556597; Package cclive. (Thu, 26 Nov 2009 21:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Alejandro Garrido Mota <garridomota@gmail.com>. (Thu, 26 Nov 2009 21:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 556597@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 556597@bugs.debian.org
Subject: cclive: diff for NMU version 0.5.3-1.1
Date: Thu, 26 Nov 2009 21:19:01 +0000
[Message part 1 (text/plain, inline)]
tags 556597 + patch
thanks

It seems that with the build dependency changed as Adrian suggested, cclive
works fine. All the tests in `make -C tests check` pass, except for sevenload
which fails with a HTTP 401 error (not a regression - it does that when
built against OpenSSL too). I've uploaded an NMU to DELAYED/3; please let
me know if you want me to cancel it or delay it further.

In the process of preparing the NMU, I imported cclive into a git repository
for my own convenience. If you want to use that as a starting point for
maintaining it in git (perhaps in the collab-maint directory), you're welcome
to do so - you can get it from here:

    git clone git://git.debian.org/users/smcv/nmu/cclive.git
    http://git.debian.org/?p=users/smcv/nmu/cclive.git (gitweb)

Regards,
    Simon
[cclive-0.5.3-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Thu, 26 Nov 2009 21:21:15 GMT) Full text and rfc822 format available.

Reply sent to Alejandro Garrido Mota <garridomota@gmail.com>:
You have taken responsibility. (Sat, 28 Nov 2009 17:06:28 GMT) Full text and rfc822 format available.

Notification sent to Adrian Bunk <bunk@stusta.de>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 17:06:29 GMT) Full text and rfc822 format available.

Message #17 received at 556597-close@bugs.debian.org (full text, mbox):

From: Alejandro Garrido Mota <garridomota@gmail.com>
To: 556597-close@bugs.debian.org
Subject: Bug#556597: fixed in cclive 0.5.5-1
Date: Sat, 28 Nov 2009 17:03:27 +0000
Source: cclive
Source-Version: 0.5.5-1

We believe that the bug you reported is fixed in the latest version of
cclive, which is due to be installed in the Debian FTP archive:

cclive_0.5.5-1.diff.gz
  to main/c/cclive/cclive_0.5.5-1.diff.gz
cclive_0.5.5-1.dsc
  to main/c/cclive/cclive_0.5.5-1.dsc
cclive_0.5.5-1_i386.deb
  to main/c/cclive/cclive_0.5.5-1_i386.deb
cclive_0.5.5.orig.tar.gz
  to main/c/cclive/cclive_0.5.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556597@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alejandro Garrido Mota <garridomota@gmail.com> (supplier of updated cclive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 20 Nov 2009 14:29:01 -0430
Source: cclive
Binary: cclive
Architecture: source i386
Version: 0.5.5-1
Distribution: unstable
Urgency: low
Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
Changed-By: Alejandro Garrido Mota <garridomota@gmail.com>
Description: 
 cclive     - lightweight command line video extraction tool
Closes: 556597
Changes: 
 cclive (0.5.5-1) unstable; urgency=low
 .
   * New upstream release
   * debian/control:
        - Remove libcurl4-openssl-dev
        - Add libcurl4-gnutls-dev (Closes: #556597).
Checksums-Sha1: 
 e33bed377055ebc5fab5003b0b0adc5f6bff1e9c 1685 cclive_0.5.5-1.dsc
 4b537c9df32d3d0d9e8ac44936976270f9217f8f 216912 cclive_0.5.5.orig.tar.gz
 d3bc7c3ff3487b4ce607815b52859e88ec0845c9 1810 cclive_0.5.5-1.diff.gz
 73acfd6a42cf4208709aa35fdd3a19146cb44a05 105920 cclive_0.5.5-1_i386.deb
Checksums-Sha256: 
 84054c4f309270ce33a0fcfe2e27e541f0d8d3d8b17605196480b29d6733f31d 1685 cclive_0.5.5-1.dsc
 840664456b88de55e983c8303241d2db2c53e78189fafada6d745b639cc6c92a 216912 cclive_0.5.5.orig.tar.gz
 f283911ec112a3029571db858d74aacc97996b5d1e108e982cd424c48bb7e135 1810 cclive_0.5.5-1.diff.gz
 07ed2bc0304b89ab37a18af2bd7bbfda5e89aae8cf3ff65b3904b12a3577c6e0 105920 cclive_0.5.5-1_i386.deb
Files: 
 a4316f20460d7a9c9dea774980536054 1685 video optional cclive_0.5.5-1.dsc
 6c5f622ecd21b7aa2f9f974a7ea90b6d 216912 video optional cclive_0.5.5.orig.tar.gz
 07b9904a73362fbdb0b32818b781ef47 1810 video optional cclive_0.5.5-1.diff.gz
 337b15c188745f5ab652da847ff453c8 105920 video optional cclive_0.5.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEVaQAAoJELs6aAGGSaoGzm4P/jMuvUzoIExfuBOCD1TboLuG
5uPeyx3LipJr56/BwPvX5dm9RAN6rthbuJJBtSYY7pSuk6QnqM8/w2NQhZPBhpau
zoyj73/iAP5ainV8OODigvtsVGMUj5gtXVEMsLxq8h7Uje4vyW6dwpneeeWddq8A
Gj2mxM5j/+0OtlwCMeD1LTahed8OiMtKnHVDa3OngzjhG+bEVvvpQInqBukaC7Et
3cG183uj+WqXDMY1zivZ3ilZndhqUoTUyMcJz6Lo2HTfmnwmiqksvNSi8zlmpJlB
A0neYMoy1ipgtxj6oqfyKZXaNw+LQ6IPVMwSaeLBANxIcouE1B3MbGwyQXno2sSa
7VRkE1Kd0J1tzy6Eas1SMnEGPCCugOee7HqztFACOgaIuclgbKtPSPOOGwBkC0Mh
b3cKNhM2K1kQu+6l40DSZ5GfSzQWZ1PD61EbW+mR8bT6o1J06dfX5hSn4HXtYqly
yGHw+3ZtTqWPEZhVkbqkoWIdqhHHbkFWHqcDU+WJ91rwo25W/ZCCjFPC/Z8ncN+P
iWJin6Owad1DQ3Bm6rnTpCmVB2NphzWgBgG3nCq47omuVpgXSz2SNyTAxGQ9uAnA
q9StX6VxU5QyrEXlYssalN7CM4PJoCrUW8xFiqrEMViBESSoMhIJceavLcWitKEL
R9lWPLztP0iKIzK4hNsD
=k5U8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jan 2010 07:39:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:39:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.